All Resources All filters

# Resource

The basic class for all resources. This base class provides support for persistency and resource stores.

## Attributes description

The Resource defines the following attributes:

- identifier

`identifier`

semantics
  The name of that resource. This name is the key of the resource in its resource store. You can change it, the resource store will take the appropriate actions.
type
  This attribute is a computed StringAttribute
default value
  THis attribute has no default value.

Jigsaw Team
$Id: w3c.jigsaw.resources.Resource.html,v 1.1 1996/09/10 21:28:22 abaird Exp $